﻿/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    background-color: #f0f0f0;
}

h4 {
    color: #00A3E1;
    font-size: 14px;
}

.trak-logo {
    height: 56px;
    position: absolute;
    top: 0;
    right: 0;
    width: 320px;
    background-image: url(../Images/tgt-logo-small.png);
    background-position: top right;
    background-repeat: no-repeat;
}

.container-fluid {
    margin-top: 50px;
}

.page-wrapper {
    width: 100%;
    height: 100%;
    padding: 0;
    background-color: #f0f0f0;
    padding-top: 15px;
}

.container-fluid {
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
}

.custLogo {
    min-height: 40px;
    height: 100%;
    position: relative;
    width: 99%;
    top: 20px;
    background-position: top right;
    background-repeat: no-repeat;
    background-size: 15%;
}

#divPolicy {
    background-position: 230px 20px;
    background-repeat: no-repeat;
    background-size: 25%;
}

#dvProductSelect {
    background-color: #fff !important;
    min-height: 145px;
    width: 96%;
    height: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 9px;
}

#dvDecision {
    background-color: #fff !important;
    min-height: 200px;
    width: 96%;
    height: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 9px;
}

.form-control-roadspeed {
    width: 50px !important;
}


.control-label-sva {
    font-weight: bold;
    padding-top: 6px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 60px;
    background-color: #1b1b1b;
    background-image: url('../Images/tgt-logo-small.png');
    background-position: right bottom;
    background-repeat: no-repeat;
}



/* Custom page CSS
-------------------------------------------------- */
/* Not required for template or sticky footer method. */

body > .container {
    padding: 60px 15px 0;
}

.container .text-muted {
    margin: 20px 0;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

.ragTable td {
    padding: 8px;
}

.mapDataTbl {
    background-color: #f5f5f5;
    margin-bottom: 20px;
}

    .mapDataTbl th {
        padding: 0px;
        font-size: 11px;
    }

    .mapDataTbl td {
        padding: 1px;
        font-size: 11px;
    }

code {
    font-size: 80%;
}

.bigtick {
    height: 25px;
    width: 400px;
    background: url('../Images/tick.gif') no-repeat;
    background-position: left center;
    background-size: contain;
    text-align: center;
}

.loader {
    height: 25px;
    width: 400px;
    background: url('../Images/loading.gif') no-repeat;
    background-position: left center;
    background-size: contain;
    text-align: center;
}

.loaderDiv {
    height: 100px;
    margin-top: 60px;
    margin-left: 200px;
    text-align: center;
}

#dlgDecision {
    font-size: 8pt;
}

#imgAjaxLoader {
    padding: 0 10px 0 10px;
}

#divEvents {
    padding-bottom: 10px;
}

#divDecision {
    float: right;
}

#divNewRoadSpeed {
    padding: 10px 0 10px 0;
}

#map-canvas {
    margin-bottom: 10px;
}

#main-container {
    margin-top: 40px;
    padding-top: 50px;
    /*width: 100%; */
}

#map-canvas {
    height: 400px;
}

table .active {
    font-weight: bold;
}

.content-wrapper {
    margin: 0 auto;
    max-width: 100%;
    margin-bottom: 10px;
}

#divJourneyCriteria label {
    padding-right: 0px;
}

#divJourneyCriteria input {
    width: 150px;
}

.page-header {
    margin-top: 0 !important;
}

.system-message {
    width: 100%;
    color: #B90000;
    text-align: center;
    background-color: #fff;
    font-weight: bold;
}

#radDecision label {
    padding: 0 10px 0 5px;
}

.green {
    color: green;
    font-weight: bold;
}

.amber {
    color: orange;
    font-weight: bold;
}

.red {
    color: red;
    font-weight: bold;
}


     /* TOGGLE STYLING */
 .toggle {
     margin: 0 0 1.5rem;
     box-sizing: border-box;
     font-size: 0;
     display: flex;
     flex-flow: row nowrap;
     justify-content: flex-start;
     align-items: stretch;
 }
.toggle input {
    width: 0;
    height: 0;
    position: absolute;
    left: -9999px;
}
.toggle input + label {
    margin: 0;
    padding: 0.75rem 4rem;
    box-sizing: border-box;
    position: relative;
    display: inline-block;
    border: solid 1px #DDD;
    font-size: 1.3rem;
    line-height: 140%;
    font-weight: 600;
    text-align: center;
    box-shadow: 0 0 0 rgba(255, 255, 255, 0);
    transition: border-color 0.15s ease-out, color 0.25s ease-out, background-color 0.15s ease-out, box-shadow 0.15s ease-out;
}
.toggle input + label:first-of-type {
    border-radius: 6px 0 0 6px;
    border-right: none;
}
.toggle input + label:last-of-type {
    border-radius: 0 6px 6px 0;
    border-left: none;
}
.toggle input:hover + label {
    border-color: #213140;
}
.toggle input:checked + label {
    background-color: #337ab7;
    color: #FFF;
    box-shadow: 0 0 10px rgba(102, 179, 251, 0.5);
    border-color: #4B9DEA;
    z-index: 1;
}
.toggle input:focus + label {
    outline: dotted 1px #CCC;
    outline-offset: 0.45rem;
}
@media (max-width: 800px) {
    .toggle input + label {
        padding: 0.75rem 0.25rem;
        flex: 0 0 50%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}


